DNSLookup (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.DNSLookup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface DNSLookup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DNSLookup

extends LogicalElement

Represents an DNS lookup entry

Naming Rules:
  0="originatingIp,name"
Persistable:
  true
Table Name:
  DNSLOOKUP
Display Name:
  originatingIp,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIp()`
`java.lang.String` | `getName()`
`IpAddress` | `getOriginatingIp()`
`boolean` | `hasIp()`
`boolean` | `hasName()`
`boolean` | `hasOriginatingIp()`
`void` | `setIp(IpAddress ip)`
`void` | `setName(java.lang.String name)`
`void` | `setOriginatingIp(IpAddress ip)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getOriginatingIp

    IpAddress getOriginatingIp()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ResolvesFrom" reverse="false"

### setOriginatingIp

    void setOriginatingIp(IpAddress ip)

### hasOriginatingIp

    boolean hasOriginatingIp()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getIp

    IpAddress getIp()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Locates" reverse="false"

### setIp

    void setIp(IpAddress ip)

### hasIp

    boolean hasIp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD